/************************************************************************/
/*																		*/
/*				K E Y B O A R D . H - Keyboard Definitions				*/
/*																		*/
/************************************************************************/

/************************************************************************/
/*																		*/
/*			  Copyright (c) Hardwood Software Associates 1988			*/
/*																		*/
/*					   Hardwood Software Associates						*/
/*							  364 Benson Road							*/
/*						   Northbridge, Ma 01534						*/
/*																		*/
/************************************************************************/

/************************************************************************
 *			K E Y B O A R D . H    E D I T    L O G
 *
 *	$Log:   D:/H/VCS/KEYBOARD.H_V  $
 *	
 *	   Rev 1.1   23 Dec 1988 10:59:14   R. Evans
 *	Add Alt letters/numbers
 *	
 *	   Rev 1.0   22 Apr 1988 22:24:16   R. Evans
 *	Initial revision.
 ************************************************************************/

/************************************************************************
 *
 *	Author: R. Evans
 *	Date:	April, 1988
 *
 ************************************************************************/

#ifndef KEYBOARD
#define KEYBOARD

							/* Keys that are preceeded by a null byte */
#define LEFT_ARROW	0x4B
#define RIGHT_ARROW 0x4D
#define UP_ARROW	0x48
#define DOWN_ARROW	0x50
#define CTRL_LEFT_ARROW		0x73
#define CTRL_RIGHT_ARROW	0x74
#define END			0x4F
#define HOME		0x47
#define INSERT		0x52
#define CTRL_END	0x75
#define DEL			0x53
#define CTRL_HOME	0x77
#define PAGE_UP		0x49
#define PAGE_DOWN	0x51
#define F1			0x3B
#define SHIFT_F1	0x54
#define CTRL_F1		0x5E
#define ALT_F1		0x68
#define ALT_1		0x78						/* 2 thru 0 also */

#define ALT_A		0x1E
#define ALT_B		0x30
#define ALT_C		0x2E
#define ALT_D		0x20
#define ALT_E		0x12
#define ALT_F		0x21
#define ALT_G		0x22
#define ALT_H		0x23
#define ALT_I		0x17
#define ALT_J		0x24
#define ALT_K		0x25
#define ALT_L		0x26
#define ALT_M		0x32
#define ALT_N		0x31
#define ALT_O		0x18
#define ALT_P		0x19
#define ALT_Q		0x10
#define ALT_R		0x13
#define ALT_S		0x1F
#define ALT_T		0x14
#define ALT_U		0x16
#define ALT_V		0x2F
#define ALT_W		0x11
#define ALT_X		0x2D
#define ALT_Y		0x15
#define ALT_Z		0x2C
 						/* Other useful keys */
#define BACKSPACE	0x08
#define ESCAPE		0x1B
#define CR			'\r'
#define NL			'\n'
#define TAB			0x09
#define SHIFT_TAB	0x0F

#endif





