/************************************************************************/
/*																		*/
/*				  W _ D E M O . C - Window Demonstration				*/
/*																		*/
/************************************************************************/

/************************************************************************/
/*																		*/
/*			  Copyright (c) Hardwood Software Associates 1987			*/
/*																		*/
/*					   Hardwood Software Associates						*/
/*							  364 Benson Road							*/
/*						   Northbridge, Ma 01534						*/
/*																		*/
/************************************************************************/

/************************************************************************
 *			W _ D E M O . C    E D I T    L O G
 *	$Log:   D:/crt/vcs/w_demo.c_v  $
 *	
 *	   Rev 1.4   01 Apr 1989 10:16:14   R. Evans
 *	Add exploding windows
 *	
 *	   Rev 1.3   26 Mar 1989 16:27:58   R. Evans
 *	Add shadow capability
 *	
 *	   Rev 1.2   13 Mar 1988  9:26:32   R. Evans
 *	Add w_file demo
 *	
 *	   Rev 1.1   14 Feb 1988 10:50:08   R. Evans
 *	Change name to HSA_WIN
 *	
 *	   Rev 1.0   07 Nov 1987 16:11:02   R. Evans
 *	Initial revision.
 ************************************************************************/

/************************************************************************
 *													+-------------------+
 *	Author: R. Evans								| F U N C T I O N S |
 *	Date:	May, 1987								+-------------------+
 *
 ************** W_DEMO - Demonstrate the HSA_WIN Routines
 * SYNOPSIS:
 *				w_demo
 * DESCRIPTION:
 *				Provides a brief demonstration of the HSA_WIN routines.
 *
 ************************************************************************/

#include "hsa_tx.h"
#include "hsa_w.h"

main()
{
WIN *wn0;
WIN *wn,*wn1;
WIN *wn3;
register int i;
char c[2];
int mono = (tx_state () == MONOCHROME);				/* Set crt type */

tx_direct ();
tx_clr_a (SCR_REVERSE);
for (i = 1; i < 25; i++)
	tx_str_a (i,0,"Hardwood Software Associates C Libraries: HSA_TEXT / HSA_WIN / HSA_GRAF",SCR_REVERSE);
w_shadow (LR_SHADOW,1);
w_set_explode ();
if ((wn3 = w_open (20, 40, 3, 39,(mono)?SCR_B_B:MAKE_ATTR((SCR_INTENSE_BIT|SCR_BLINK_BIT|SCR_GREEN),SCR_RED),
					(mono)?SCR_REVERSE:MAKE_ATTR(SCR_BLACK,SCR_RED),SINGLE_LINES,0)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on instruction window open.");
	exit(1);
	}
w_str_c (wn3,"     Press any key for next step.");
if ((wn0 = w_open (0,29,12,50,(mono)?SCR_NORM:MAKE_ATTR(SCR_BLACK,SCR_CYAN),
					SCR_BOLD,SINGLE_LINES,0)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on first window open.");
	exit(1);
	}
w_top_msg (wn0,"HSA-WIN",MSG_CENTER);
fill_win (wn0,0);
if ((wn = w_open (13,3,10,28,(mono)?SCR_NORM:MAKE_ATTR((SCR_WHITE),SCR_MAGENTA),
				  (mono)?SCR_BOLD:MAKE_ATTR((SCR_INTENSE_BIT|SCR_WHITE),SCR_MAGENTA),DOUBLE_LINES,0)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on first window open.");
	exit(1);
	}
w_top_msg (wn,"HSA-WIN",MSG_CENTER);
fill_win (wn,0);

if ((wn1 = w_open (15, 5, 3, 30,(mono)?SCR_BOLD:MAKE_ATTR((SCR_INTENSE_BIT|SCR_WHITE),SCR_RED),
				   (mono)?SCR_REVERSE:MAKE_ATTR(SCR_WHITE,SCR_RED),SINGLE_LINES,0)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on second window open.");
	exit(1);
	}
w_top_msg (wn1,"TOP/RIGHT",MSG_RIGHT);
w_bot_msg (wn1,"Bottom/left",MSG_LEFT);
w_str_c (wn1, "This window overlaps the first");
getch ();
w_move (wn1,20,6);
getch ();
w_close (wn1);

for (i = 5; i > -10; i -= 2)
	{
	w_clr (wn);
	fill_win (wn,i); getch ();
	}

if ((wn1 = w_open (1,13,10,28,(mono)?SCR_REVERSE:MAKE_ATTR((SCR_INTENSE_BIT|SCR_WHITE),SCR_BLUE),SCR_BOLD,NO_BORDER,0)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on third window open.");
	exit(1);
	}
fill_win (wn1,0); getch ();
w_close (wn1);
w_clr_explode ();
if ((wn1 = w_open (1,13,10,28,SCR_NORM,SCR_BOLD,SINGLE_DOUBLE_LINES,5)) == NULL)
	{
	tx_nl ();
	tx_str_c ("Error on fourth window open.");
	exit(1);
	}
w_top_msg (wn1,"Columned Display",MSG_CENTER);
for (i=0,c[0]='A',c[1]=0; i<10; i++, (*c)++)
	w_str_col (wn1,c);
w_str_col (wn1,"Too long for column");
getch ();
w_close (wn1);
w_close (wn);
w_close (wn0);
w_close (wn3);
w_file_name ("hsa_win.doc",0,0,25,80,SCR_NORM,SCR_BOLD,DOUBLE_LINES,"HSA_WIN Documentation");
exit(0);
}


fill_win (wn,col)
register WIN *wn;
register int col;
{
wn->cursor[ROW]--;
w_str (wn,++(wn->cursor[ROW]),col,"This line will be scrolled off top");
w_str (wn,++(wn->cursor[ROW]),col, "Hardwood Software Associates");
w_str (wn,++(wn->cursor[ROW]),col, "      HSA-WIN Library");
w_str (wn,++(wn->cursor[ROW]),col, "       Copyright 1986");
w_str (wn,++(wn->cursor[ROW]),col, " ");
w_str (wn,++(wn->cursor[ROW]),col, "HSA-WIN is a fast, easy to use,library of");
w_str (wn,++(wn->cursor[ROW]),col, "of C functions that creates and  manipulates");
w_str (wn,++(wn->cursor[ROW]),col, "a unlimited number of windows on a color");
w_str (wn,++(wn->cursor[ROW]),col, "or monochrome screen.");
w_str (wn,++(wn->cursor[ROW]),col, "This line of text should be truncated before here.");
w_str (wn,++(wn->cursor[ROW]),col,"This is the bottom line");
wn->cursor[ROW] = wn->cursor[COL] = 0;
}
